%define pkg_name        Digest-HMAC
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 24.n0i.9


Summary:       HMAC message integrity check
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Digest::MD5) >= 2}
%{!?_without_test:BuildRequires: perl(Digest::SHA1) >= 1}


%description
HMAC is used for message integrity checks between two parties that share a
secret key, and works in combination with some other Digest algorithm, usually
MD5 or SHA-1. The HMAC mechanism is described in RFC 2104.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README rfc2104.txt


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-24.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer 1.146
- mass rebuild

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.01-23.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.01-22.n0i.7
- automatic rebuild (perl 5.8.6)

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:1.01-22.n0i.6
- rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.01-21.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.01-21.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl v.5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:1.01-11.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:1.01-11.n0i.2
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:1.01-0.n0i.1
- version 1.01
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
